kernel-class {kernlab} | R Documentation

## Class "kernel" "rbfkernel" "polykernel", "tanhkernel", "vanillakernel"

### Description

The built-in kernel classes in kernlab

### Objects from the Class

Objects can be created by calls of the form `new("rbfkernel")`, `new{"polykernel"}`, `new{"tanhkernel"}`, `new{"vanillakernel"}`, `new{"anovakernel"}`, `new{"besselkernel"}`, `new{"laplacekernel"}`, `new{"splinekernel"}`, `new{"stringkernel"}`

or by calling the `rbfdot`, `polydot`, `tanhdot`, `vanilladot`, `anovadot`, `besseldot`, `laplacedot`, `splinedot`, `stringdot` functions etc..

### Slots

`.Data`:

  Object of class `"function"` containing the kernel function

`kpar`:

  Object of class `"list"` containing the kernel parameters

### Extends

Class `"kernel"`, directly. Class `"function"`, by class `"kernel"`.

### Methods

kernelMatrix

  `signature(kernel = "rbfkernel", x = "matrix")`: computes the kernel matrix

kernelMult

  `signature(kernel = "rbfkernel", x = "matrix")`: computes the quadratic kernel expression

kernelPol

  `signature(kernel = "rbfkernel", x = "matrix")`: computes the kernel expansion

kernelFast

  `signature(kernel = "rbfkernel", x = "matrix"),,a`: computes parts or the full kernel matrix, mainly used in kernel algorithms where columns of the kernel matrix are computed per invocation

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### See Also

`dots`

### Examples

    rbfkernel <- rbfdot(sigma = 0.1)
    rbfkernel
    is(rbfkernel)
    kpar(rbfkernel)

[Package kernlab version 0.9-27 Index]